TaskStateInternal (Apache Hadoop MapReduce App 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.app.job, enum: TaskStateInternal

Package org.apache.hadoop.mapreduce.v2.app.job

# Enum Class TaskStateInternal

java.lang.Object
java.lang.Enum<TaskStateInternal>
org.apache.hadoop.mapreduce.v2.app.job.TaskStateInternal

All Implemented Interfaces:
  `Serializable`, `Comparable<TaskStateInternal>`, `Constable`

public enum TaskStateInternal extends Enum<TaskStateInternal>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FAILED`
  `KILL_WAIT`
  `KILLED`
  `NEW`
  `RUNNING`
  `SCHEDULED`
  `SUCCEEDED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TaskStateInternal`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TaskStateInternal[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEW

    public static final TaskStateInternal NEW

  - ### SCHEDULED

    public static final TaskStateInternal SCHEDULED

  - ### RUNNING

    public static final TaskStateInternal RUNNING

  - ### SUCCEEDED

    public static final TaskStateInternal SUCCEEDED

  - ### FAILED

    public static final TaskStateInternal FAILED

  - ### KILL_WAIT

    public static final TaskStateInternal KILL_WAIT

  - ### KILLED

    public static final TaskStateInternal KILLED

- ## Method Details

  - ### values

    public static TaskStateInternal[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TaskStateInternal valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null